
Foreman - Bug #2190

Failed to destroy a compute instance ActiveRecord::RecordNotFound

02/08/2013 10:27 AM - Jason Ashby

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm working on getting Foreman to manage my entire build cycle.  Anyhoo, I've got some hosts that Foreman created on my VMware

vCenter server that I can't seem to Delete in the Foreman web GUI.  When I click Delete for the host, I get:

Failed to remove jasontest.mydomain.com from the autosign file: 406 Not Acceptable

 I have to autosign entries whatsoever.  Now, when I click Unmanage Host in Foreman, I get the following when I try to Delete:

Failed to destroy a compute myvcenterhost (VMWare) instance jasontest.mydomain.com: ActiveRecord::

RecordNotFound

 Which may be because I deleted the corresponding VM directly from vCenter.

The build was kind of in limbo (the VM was created in VMware vcenter, but no OS was installed yet), so I clicked Cancel Build at one

point.  Lemme know if you need more info here.

Oh I'm running Foreman 1.1RC5 on CentOS 6.3 and using Firefox 18 when working in the foreman gui.

Related issues:

Is duplicate of Foreman - Bug #2161: Cannot delete a host if the compute reso... Closed 01/28/2013

History

#1 - 02/08/2013 10:28 AM - Jason Ashby

typo:  "I have to autosign entries whatsoever" should read "I have no autosign entries whatsoever".

#2 - 02/12/2013 02:47 AM - Ohad Levy

- Status changed from New to Duplicate

this was fixed after RC5
